package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ProductService;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.wrapper.ProductServiceWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务端维护表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ProductServiceService extends IService<ProductService> {
    ProductService findByProductIdAndServiceId(Map<String, Object> map);

    List<ProductService> findByProductId(Long productId);

    IPage<ProductServiceWrapper> selectProductServiceByUserIdPage(Page<ProductServiceWrapper> page, ProductServiceWrapper productService);

    Integer delById(Long id);
}
